#
# spec file for package xfce4-panel-plugin-genmon
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.12.0
%define plugin_name xfce4-genmon-plugin

Name:           xfce4-panel-plugin-genmon
Version:        4.0.1
Release:        lp150.1.3
Summary:        Generic Monitoring Plugin for the Xfce Panel
License:        LGPL-2.1+
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-genmon-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/4.0/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(libxfce4panel-2.0) >= %{panel_version}
BuildRequires:  pkgconfig(libxfce4ui-2) >= 4.12.0
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Generic Monitor plugin is intended for custom monitoring tasks and
periodically spawns a given application, captures its output and displays the
result in form of an image, a bar, a button and a personalized tooltip in the
panel.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
make %{_smp_mflags} V=1

%install
%make_install

rm -f %{buildroot}%{_libdir}/xfce4/panel/plugins/libgenmon.la

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/xfce4/panel/plugins/libgenmon.so
%{_datadir}/xfce4/panel/plugins/genmon.desktop

%files lang -f %{name}.lang

%changelog
* Fri Nov 10 2017 seife+obs@b1-systems.com
- update to version 4.0.1
  - Allow pango markup in tooltip as well
  - Fix progressbar wrong direction
* Wed Jul 19 2017 seife+obs@b1-systems.com
- update to version 4.0.0
  - Port to Gtk3
  - Fix font styling to work with Gtk 3.22
  - Add support for "genmon" in 'xfce4-panel --plugin-event' (bxo#10734)
  - Fix default tooltip does not work (bxo#11284)
  - Add <txtclick> functionality (bxo#3437)
- packaging: do not package ChangeLog, NEWS is good enough
* Sat May 12 2012 gber@opensuse.org
- update to version 3.4.0
  - port from libxfcegui4 to libxfce4ui
  - install as a shared library rather than an executable
  - no longer uses troublesome fixed-length text buffers
  - bug fixes
* Fri Apr 20 2012 gber@opensuse.org
- corrected license
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Tue Apr  3 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Thu Jan  5 2012 gber@opensuse.org
- updated to version 3.3.1
  - change icon to "utilities-system-monitor"
  - fix problems when changing panel orientation
  - fix timer not started at startup (bnc#737801)
  - remove obsolete samples.txt
- dropped obsolete
  xfce4-panel-plugin-genmon-initialize-timer-on-startup.patch
* Tue Dec 20 2011 gber@opensuse.org
- added xfce4-panel-plugin-genmon-initialize-timer-on-startup.patch
  which fixes a bug introduced in 3.3.0 where the display timer
  was not initialized on startup (bnc#737801)
- fix missing icon
- remove unncessary xdt-autogen run
* Fri May 27 2011 coolo@novell.com
- use suse_update_desktop_file to translate
* Wed Mar 23 2011 gber@opensuse.org
- update to version 3.3.0
  + Support for xfce 4.8
  + Translated to 29 languages
  + Introduces new markup for colored and styled text
  + Various small bug fixes
  + Build and package fixes
- dropped obsolete
  xfce4-panel-plugin-genmon-3.2-fix-build-with-4.7.patch,
  xfce4-panel-plugin-genmon-3.2-prevent-zombies.patch, and
  xfce4-panel-plugin-genmon-3.2-close-unused-pipes.patch
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
